<?php
namespace Pinpoint\Conesso\Api\Data;

interface CartSyncInterface
{
    const SCHEMA = 'connesso_cart_sync';
    const ID = 'id';
    const CART_ID = 'cart_id';
    const EVENT_TYPE = 'event_type';
    const STORE_ID = 'store_id';
    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';
    const IS_SYNCED = 'is_synced';

    const EVENT_TYPE_SAVE = 'save_cart';
    const EVENT_TYPE_DELETE = 'delete_cart';

    public function getId() : ?int;

    public function setId($id);

    public function getCartId() : ?int;

    public function setCartId($cartId);

    public function getEventType() : ?string;

    public function setEventType($eventType);

    public function getStoreId() : int;

    public function setStoreId($storeId);

    public function getCreatedAt();

    public function setCreatedAt($createdAt);

    public function getUpdatedAt();

    public function setUpdatedAt($updatedAt);

    public function getIsSynced() : int;

    public function setIsSynced($isSynced);

}
