<?php
namespace Pinpoint\Conesso\Block\Adminhtml\Form\Field;

use Magento\Config\Block\System\Config\Form\Field;
use Magento\Framework\Data\Form\Element\AbstractElement;

class DateTime extends Field
{
    /**
     * @param AbstractElement $element
     * @return string
     */
    public function render(AbstractElement $element): string
    {
        if($element->getId() === 'products_sync_settings_product_sync_group_last_run_timestamp') {
            $element->setDisabled('disabled');
        }
        $element->setDateFormat(\Magento\Framework\Stdlib\DateTime::DATE_INTERNAL_FORMAT);
        $element->setTimeFormat("HH:mm:ss");

        return parent::render($element);
    }
}
