<?php
namespace Pinpoint\Conesso\Model\Api\Management\Process;

use Magento\Framework\Api\SearchCriteriaBuilder;
use Pinpoint\Conesso\Api\Transfer\RequestProviderInterface;

class CreateContext
{
    private $requestProvider;

    private $searchCriteriaBuilder;

    public function __construct(
        SearchCriteriaBuilder $searchCriteriaBuilder,
        RequestProviderInterface $requestProvider,
    ) {
        $this->requestProvider = $requestProvider;
        $this->searchCriteriaBuilder = $searchCriteriaBuilder;
    }

    public function getRequestProvider()
    {
        return $this->requestProvider;
    }

    public function getSearchCriteriaBuilder()
    {
        return $this->searchCriteriaBuilder;
    }
}
