<?php
namespace Pinpoint\Conesso\Api\Repository;

use Magento\Framework\Api\SearchCriteriaInterface;
use Pinpoint\Conesso\Api\Data\OrderSyncInterface;
interface OrdersSyncRepositoryInterface
{
    public function save(OrderSyncInterface $orderSync);

    public function delete(OrderSyncInterface $orderSync): bool;

    public function deleteById(int $id): bool;

    public function getList(SearchCriteriaInterface $searchCriteria);
}
